# Copyright 2019 Alain Dargelas
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Universal Hardware Data Model (UHDM) "stmt" formal description
 
- group_def: stmt
  - class_ref: scope
  - class_ref: atomic_stmt
  - class_ref: expr
  - group_ref: assertion
# Non standard for non-elab model generate block
  - obj_ref: cont_assign
  - obj_ref: ref_module
  - obj_ref: module_array
  - class_ref: gen_stmt
  - class_ref: process_stmt
  - obj_ref: param_assign





